Skip to main content
GET
Read safe events and readiness for an integration run

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

connection_id
integer
required

Connection id in the current organization.

run_id
integer
required

Run id in the current organization.

Query Parameters

page
integer | null

Page. Validation: nullable, integer, min:1.

Required range: x >= 1
per_page
integer | null

Per page. Validation: nullable, integer, min:1, max:100.

Required range: 1 <= x <= 100
group_key
string | null

Group key. Validation: nullable, string, max:255.

Maximum string length: 255

Response

Operation result.

status
string
Example:

"success"

data
object[]
meta
object
readiness
object

Bloomerang inbound preview readiness. Eligible completed/failed dry-run/import-preview reviews are assessed against current settings, object scope and a 24-hour freshness window. Other runs return available=false.